Subject: Re: bug#33002: 26.1; EWW sends unspecific "Accept: */*" header

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 13 May 2019 14:08:09 -0400

Eli Zaretskii <[email-masked]> writes:

>> From: Federico Tedin <[email-masked]>
>> Date: Tue, 13 Nov 2018 18:26:53 -0300
>> Cc: John Smith <[email-masked]>, [email-masked]
>> 
>> Eli, sorry to bother you. Just wanted to know if the last patch I sent
>> is OK or if it needs any further changes.
>
> I still don't think that a variable is the right solution for this.
> Perhaps Lars (CC'ed) or someone else has an opinion or a better
> proposal?

I think it makes sense to use a variable here -- if for no other reason
that the string is used two different places in the eww source code, and
avoiding repeating that long string is nice.  But leaving it
undocumented (in the manual) is fine, I think, as I don't see anybody
ever wanting to change it.

So I've applied Federico's patch to Emacs 27.1.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no